# coding: utf-8

"""
    VMware Aria Automation Pipelines APIs

    Aria Automation Pipelines is a continuous integration and continuous delivery (CICD) tool that you use to build Pipelines that model the software release process in your DevOps lifecycle. By creating Pipelines, you build the code infrastructure that delivers your software rapidly and continuously.  This page describes the RESTful APIs for Aria Automation Pipelines. The APIs facilitate CRUD operations on the various resources and entities used throughout Aria Automation Pipelines (Pipelines, Endpoints, Variables, etc.) and allow operations on them (executing a Pipeline, validating an Endpoint connection, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Aria Automation Pipelines entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/codestream/api/endpoints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/codestream/api/endpoints?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/codestream/api/endpoints?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /codestream/api/endpoints?$filter=startswith(name, 'ABC')     /codestream/api/endpoints?$filter=toupper(name) eq 'ABCD-JENKINS'     /codestream/api/endpoints?$filter=substringof(%27bc%27,tolower(name))     /codestream/api/endpoints?$filter=name eq 'ABCD' and project eq 'demo'   # noqa: E501

    OpenAPI spec version: 2019-10-17
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class BatchUserOperationResponse1(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'errors': 'list[BatchUserOperationStatus1]',
        'failure': 'int',
        'success': 'int'
    }

    attribute_map = {
        'errors': 'errors',
        'failure': 'failure',
        'success': 'success'
    }

    def __init__(self, errors=None, failure=None, success=None):  # noqa: E501
        """BatchUserOperationResponse1 - a model defined in Swagger"""  # noqa: E501
        self._errors = None
        self._failure = None
        self._success = None
        self.discriminator = None
        if errors is not None:
            self.errors = errors
        if failure is not None:
            self.failure = failure
        if success is not None:
            self.success = success

    @property
    def errors(self):
        """Gets the errors of this BatchUserOperationResponse1.  # noqa: E501

        The list of errors encountered during the operation.  # noqa: E501

        :return: The errors of this BatchUserOperationResponse1.  # noqa: E501
        :rtype: list[BatchUserOperationStatus1]
        """
        return self._errors

    @errors.setter
    def errors(self, errors):
        """Sets the errors of this BatchUserOperationResponse1.

        The list of errors encountered during the operation.  # noqa: E501

        :param errors: The errors of this BatchUserOperationResponse1.  # noqa: E501
        :type: list[BatchUserOperationStatus1]
        """

        self._errors = errors

    @property
    def failure(self):
        """Gets the failure of this BatchUserOperationResponse1.  # noqa: E501

        The number of approval requests failed.  # noqa: E501

        :return: The failure of this BatchUserOperationResponse1.  # noqa: E501
        :rtype: int
        """
        return self._failure

    @failure.setter
    def failure(self, failure):
        """Sets the failure of this BatchUserOperationResponse1.

        The number of approval requests failed.  # noqa: E501

        :param failure: The failure of this BatchUserOperationResponse1.  # noqa: E501
        :type: int
        """

        self._failure = failure

    @property
    def success(self):
        """Gets the success of this BatchUserOperationResponse1.  # noqa: E501

        The number of approval requests succeeded.  # noqa: E501

        :return: The success of this BatchUserOperationResponse1.  # noqa: E501
        :rtype: int
        """
        return self._success

    @success.setter
    def success(self, success):
        """Sets the success of this BatchUserOperationResponse1.

        The number of approval requests succeeded.  # noqa: E501

        :param success: The success of this BatchUserOperationResponse1.  # noqa: E501
        :type: int
        """

        self._success = success

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(BatchUserOperationResponse1, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, BatchUserOperationResponse1):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
